Salvar usuário bot

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-docs.neppo.com.br/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Neppo API MCP server": {
    "url": "https://api-docs.neppo.com.br/mcp"
  }
}

Close
POST /chatapi/1.0/api/v2/users/save/bot

Cria ou atualiza um usuário do tipo bot na base de dados.

application/json

Body Required

obj

  • id integer(int64)
  • userName string
  • displayName string
  • botTree object
    Hide botTree attributes Show botTree attributes object
    • createdAt string(date-time)
    • createdBy string
    • id integer(int64)
    • updatedAt string(date-time)
    • updatedBy string
    • name string
    • description string
    • active boolean
    • version integer(int64)
  • botSurvey boolean
  • active boolean

Responses

  • 200 application/json

    OK

  • 201

    Created

  • 401

    Unauthorized

  • 403

    Forbidden

  • 404

    Not Found

POST /chatapi/1.0/api/v2/users/save/bot
curl \
 --request POST 'https://api.neppo.com.br/chatapi/1.0/api/v2/users/save/bot' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"id":42,"userName":"string","displayName":"string","botTree":{"createdAt":"2026-05-04T09:42:00Z","createdBy":"string","id":42,"updatedAt":"2026-05-04T09:42:00Z","updatedBy":"string","name":"string","description":"string","active":true,"version":42},"botSurvey":true,"active":true}'
Request examples
{
  "id": 42,
  "userName": "string",
  "displayName": "string",
  "botTree": {
    "createdAt": "2026-05-04T09:42:00Z",
    "createdBy": "string",
    "id": 42,
    "updatedAt": "2026-05-04T09:42:00Z",
    "updatedBy": "string",
    "name": "string",
    "description": "string",
    "active": true,
    "version": 42
  },
  "botSurvey": true,
  "active": true
}
Response examples (200)
{}